API Reference

Stock Locations

6 endpoints· Auth: JWT or API Key
get/api/v1/console/inventory/stock-locations JWT API Key

Get stock-locations

Query parameters

Kind
string
—
Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/stock-locations" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/inventory/stock-locations JWT API Key

Create stock-locations

Request body

application/json
{
  "name": "string",
  "kind": "string",
  "parentLocationId": "00000000-0000-0000-0000-000000000000",
  "allowsSales": false,
  "allowsProduction": false,
  "active": false
}
name
string
—
kind
string
—
parentLocationId
string (uuid)
—
allowsSales
boolean
—
allowsProduction
boolean
—
active
boolean
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/stock-locations" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "kind": "string",
  "parentLocationId": "00000000-0000-0000-0000-000000000000",
  "allowsSales": false,
  "allowsProduction": false,
  "active": false
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/inventory/stock-locations/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/stock-locations/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/console/inventory/stock-locations/{id} JWT API Key

Update id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "kind": "string",
  "parentLocationId": "00000000-0000-0000-0000-000000000000",
  "allowsSales": false,
  "allowsProduction": false,
  "active": false
}
name
string
—
kind
string
—
parentLocationId
string (uuid)
—
allowsSales
boolean
—
allowsProduction
boolean
—
active
boolean
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/inventory/stock-locations/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "kind": "string",
  "parentLocationId": "00000000-0000-0000-0000-000000000000",
  "allowsSales": false,
  "allowsProduction": false,
  "active": false
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/inventory/stock-locations/{id} JWT API Key

Delete id

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/inventory/stock-locations/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
get/api/v1/console/inventory/stock-locations/{id}/stock JWT API Key

Get stock

Path parameters

idrequired
string (uuid)
—

Query parameters

BelowMinimumOnly
boolean
—
NonZeroOnly
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/stock-locations/{id}/stock" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Query parameters

Set credentials in the “Authorize” menu